## org.eclipse.datatools.enablement.ase
Class ASEConfig.ASEItemWithCode

    java.lang.Object
      org.eclipse.datatools.sqltools.core.internal.dbitem.SQLObjectItem
          org.eclipse.datatools.enablement.ase.ASEConfig.ASEItemWithCode

All Implemented Interfaces:
  org.eclipse.datatools.sqltools.core.dbitem.IDBItem, org.eclipse.datatools.sqltools.core.dbitem.IItemWithCode, org.eclipse.datatools.sqltools.core.dbitem.ISPUDF

Enclosing class:
  ASEConfig

    public static class ASEConfig.ASEItemWithCode

extends org.eclipse.datatools.sqltools.core.internal.dbitem.SQLObjectItem

Constructor Summary
`ASEConfig.ASEItemWithCode(org.eclipse.datatools.sqltools.core.ProcIdentifier proc, SQLObject routine, org.eclipse.datatools.sqltools.core.IControlConnection controlConn)`

Method Summary
`java.lang.String` `getCode()`

Methods inherited from class org.eclipse.datatools.sqltools.core.internal.dbitem.SQLObjectItem
`dispose, drop, getControlConnection, getParameterDefalutValues, getParameterDescriptor, getProcIdentifier, getSPParamTypeNameMapFromParser, getValidBreakpointLocation, refresh, save`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASEConfig.ASEItemWithCode

    public ASEConfig.ASEItemWithCode(org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                     SQLObject routine,
                                     org.eclipse.datatools.sqltools.core.IControlConnection controlConn)

Method Detail

### getCode

    public java.lang.String getCode()
                             throws java.sql.SQLException

  Specified by:
    `getCode` in interface `org.eclipse.datatools.sqltools.core.dbitem.IItemWithCode`
  Overrides:
    `getCode` in class `org.eclipse.datatools.sqltools.core.internal.dbitem.SQLObjectItem`
  Throws:
    `java.sql.SQLException`